function [output Reflection]= SquareLattice(w,beta,N)
radi = 0.2; %radiud of photonic crystal rods
rdefect = 0.0; %radius of defect rods
% -----------------------------------------
% This part calculates the impedance of PC
[Ry kappaz]= PCImpedance(w,beta,radi);
Zpc = (1+Ry(N+1))/(1-Ry(N+1));
% -----------------------------------------

% --------------------------------------------
% This part calculates the impedance of Defect
[Ry Betaz] = DefectImpedance(w,beta,rdefect);

Zd = ((1+Ry(N+1))/(1-Ry(N+1)));
if w > beta/2/pi
    Zd = real(Zd);
else
    Zd = 1i*imag(Zd);
end
% ---------------------------------------------

Zin = Inputimpedance(Zd,Betaz,1,Zpc);
output = abs(Zin+Zpc);
Reflection = 0;
