clear
load PC1156r02
Nsamples = 1000;
wsamples = linspace(0.305,0.42,Nsamples);
Pout = wsamples;

for kk = 2 : Nsamples-1 
w = wsamples(kk);


[bikhod, Indw] = min(abs(wvec-w));
beta0 = Linearinterp(betaPCW(Indw-1),betaPCW(Indw),wvec(Indw-1),wvec(Indw),w);
betagap = Linearinterp(Blochr02(Indw-1),Blochr02(Indw),wvec(Indw-1),wvec(Indw),w);
beta01 = Linearinterp(Blochr01(Indw-1),Blochr01(Indw),wvec(Indw-1),wvec(Indw),w)*1.0;
Zr02kk = Linearinterp(Zr02(Indw-1),Zr02(Indw),wvec(Indw-1),wvec(Indw),w);
Zr01kk = Linearinterp(Zr01(Indw-1),Zr01(Indw),wvec(Indw-1),wvec(Indw),w);

lambda = 1/w;
k0 =2*pi/lambda;
Zin = 1;

Zin = Inputimpedance(Zr02kk,betagap,1,Zin);
Zin = Inputimpedance(Zr01kk,beta01,1,Zin);
Zin = Inputimpedance(Zr02kk,betagap,1,Zin);

R = (Zin - 1)/(Zin + 1);
Pout(kk) = 1-abs(R)^2;
end
% figure
hold on;plot(wsamples,Pout,'k')
% axis([0.305 0.42 0 1])
